POST

Dry Run Mapping

Use this API to perform a User Mappings dry run.

Resource URL

https://<subdomain>.onelogin.com/api/2/mappings/:id/dryrun

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Manage All.

Content-Type

required

string

Set to application/json.

Resource Parameter

id

required

integer

Set to the id of the mapping that you want to test. If you don't know the id, use the List Mappings API call to return all mappings and their id values.

Sample Request Body

Request body is a list of user IDs tested against the mapping conditions to verify that the mapping would be applied.

[
  146532,
  390762,
  ...
]
```html

<h2>Sample Responses</h2>
<div class="tab-group">
<ul class="tab-links">
<li class="t-link status-200 active" data-tab="1">200 OK</li>
<li class="t-link status-401" data-tab="2">401 Unauthorized</li>
<li class="t-link status-422" data-tab="3">422 Unprocessable Entity</li>
</ul>
<div class="tab-views">
<div class="t-view active" data-tab="1">

```javascript
[
  {
    user: {
      “id”: 2,
      “firstname”:Mike,
      “lastname”:tester,
      “username”:miketester,
      “email”:miketester@onelogin.com
    },
    “mapped”: true
  },
  ...
]

Typically, this error means that your access token value is invalid.

{
    "message": "Unauthorized",
    "statusCode": 401,
    "name": "UnauthorizedError"
}
{
    "code": 422,
    "message": "Validation Failed",
    "errors": [
        {
            "field": "enabled",
            "message": [
                "Required field is missing"
            ]
        }
    ]
}

An invalid condition value was supplied

{
    "code": 422,
    "message": "Validation Failed",
    "errors": [
        {
            "field": "conditions.[0].value",
            "message": [
                "Invalid condition value: 12345"
            ]
        }
    ]
}

Response Elements

idUser Mapping ID.

Postman Collection

Run In Postman

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

Dry Run Mapping

curl 'https://<subdomain>.onelogin.com/api/2/mappings/:id/dryrun' \
-X POST \
-H "Authorization: bearer <access_token>" \
-H "Content-Type: application/json" \
-d '[196671,196670,196672,196676,197758]'